Get User Roles

Permission Level: Read

GET /users/roles/user

Operation id: RoleService_GetUserRoles

Tags: RoleService

Parameters

Query parameters

NameTypeRequiredDescription
fieldMaskstringNoFieldMask to control what fields are to be returned, if empty assumes everything, Required: false Valid path names are names of each field in the RoleResponse proto
tenantIdstringNoTenant of the user, Required : false
userIdstringNoUser Id of the user, Required : true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
rolesarrayNo
{
  "type": "object",
  "properties": {
    "roles": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "globalId": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "scope": {
            "type": "string",
            "description": "Some more general scoping for the data (like a particular app in the domain). Required: false."
          },
          "roleId": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "description": "Role description. Required: false."
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "roles": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "systemLevel": {
            "type": "boolean"
          },
          "workspaces": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "permissionsIds": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "deactivated": {
            "type": "boolean"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          },
          "displayName": {
            "type": "string"
          },
          "dynamic": {
            "type": "boolean"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "roleType": {
            "type": "string",
            "enum": [
              "UNDEFINED",
              "USER",
              "ADMIN"
            ],
            "default": "UNDEFINED"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}